Bug 1008243 - Cannot add virtualized host. Host x does not comply with the cluster Default emulated machines
Cannot add virtualized host. Host x does not comply with the cluster Default ...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Michal Skrivanek
Haim
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 17:41 EDT by Greg Sheremeta
Modified: 2013-12-06 10:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-06 10:52:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libvirt.log before yum update (not working) (34.66 KB, application/gzip)
2013-09-16 10:15 EDT, Greg Sheremeta
no flags Details
vdsm.log before yum update (not working) (8.17 KB, application/gzip)
2013-09-16 10:16 EDT, Greg Sheremeta
no flags Details
libvirt.log after yum update (working) (6.93 KB, application/gzip)
2013-09-16 10:17 EDT, Greg Sheremeta
no flags Details
vdsm.log after yum update (working) (6.93 KB, application/gzip)
2013-09-16 10:17 EDT, Greg Sheremeta
no flags Details
yum update log (130.54 KB, text/plain)
2013-09-16 17:04 EDT, Greg Sheremeta
no flags Details

  None (edit)
Description Greg Sheremeta 2013-09-15 17:41:54 EDT
Description of problem:
Cannot add virtualized host. "Host x does not comply with the cluster Default emulated machines. The Hosts emulated machines are <UNKNOWN> and the cluster is pc-1.0}"

Version-Release number of selected component (if applicable):
ovirt-engine: commit 4c45f9029f5d0f98c7fb4f942420f8fab8da43da
vdsm-4.12.1-2.fc19

How reproducible:
100%

Steps to Reproduce:
1. install ovirt-engine from git master
2. create a fedora 19 virtual machine using virt-manager. Copy the host's CPU flags to enable virtualization, and create
/etc/modprobe.d/kvm-intel.conf
and add the line "options kvm-intel nested=1"
3. enable ovirt-beta or ovirt-nightly yum repo on the designated host
[ovirt-beta]
name=Beta builds of the oVirt project
baseurl=http://ovirt.org/releases/beta/rpm/Fedora/$releasever/
enabled=1
skip_if_unavailable=1
gpgcheck=0
4. initiate host install from ovirt-engine WebAdmin ui

Actual results:
Host will install, but will fail to come up with error message:
"Host x does not comply with the cluster Default emulated machines. The Hosts emulated machines are <UNKNOWN> and the cluster is pc-1.0}"

Expected results:
The engine should be able to add the host.

Additional info:

yum.repos.d:
------------------------------------------------------------------
[ovirt-stable]
name=Stable builds of the oVirt project
baseurl=http://ovirt.org/releases/stable/rpm/Fedora/$releasever/
enabled=1
skip_if_unavailable=1
gpgcheck=0

[ovirt-updates-testing]
name=Stable builds of the oVirt project
baseurl=http://ovirt.org/releases/updates-testing/rpm/Fedora/$releasever/
enabled=0
skip_if_unavailable=1
gpgcheck=0

[ovirt-beta]
name=Beta builds of the oVirt project
baseurl=http://ovirt.org/releases/beta/rpm/Fedora/$releasever/
enabled=1
skip_if_unavailable=1
gpgcheck=0

[ovirt-nightly]
name=Nightly builds of the oVirt project
baseurl=http://ovirt.org/releases/nightly/rpm/Fedora/$releasever/
enabled=0
skip_if_unavailable=1
gpgcheck=0

[ovirt-alpha]
name=Alpha builds of the oVirt project
baseurl=http://ovirt.org/releases/alpha/rpm/Fedora/$releasever/
enabled=0
skip_if_unavailable=1
gpgcheck=0


versions:
------------------------------------------------------------------
ovirt-engine: commit 4c45f9029f5d0f98c7fb4f942420f8fab8da43da
OS Version: Fedora - 19 - 2
Kernel Version: 3.9.5 - 301.fc19.x86_64
KVM Version: 1.4.2 - 9.fc19
LIBVIRT Version: libvirt-1.0.5.5-1.fc19
VDSM Version: vdsm-4.12.1-2.fc19
CPU Name: Intel SandyBridge Family
CPU Type: Intel Xeon E312xx (Sandy Bridge)
Comment 1 Itamar Heim 2013-09-16 02:12:22 EDT
please provide output of this command from the host:
vdsClient -s 0 getVdsCaps | grep emulatedMachines
Comment 2 Assaf Muller 2013-09-16 05:35:17 EDT
On behalf of Greg, here's what he said on the users list:
vdsClient -s 0 getVdsCaps | grep emulatedMachines
    emulatedMachines = []

Personally I had the exact same issue on my physical (Not virtualized!) F19 host, and a yum update (Which included new versions of libvirt RPMs) solved it. The host now reports a proper list of emulatedMachines values.
Comment 3 Greg Sheremeta 2013-09-16 08:10:38 EDT
Indeed,
emulatedMachines = []

Sorry for leaving that out of the BZ.
Comment 4 Dan Kenigsberg 2013-09-16 08:54:26 EDT
Is this reproducible, or has it gone away (it should not, without a vdsm restart)? When it happens, what does `virsh -r capabilities` show? Could you attach vdsm.log and libvirtd.log since vdsm was started until the first emulatedMachines = [] report?
Comment 5 Greg Sheremeta 2013-09-16 10:14:23 EDT
rebooting the host does not help. Confirmed that yum update did resolve the problem (host is now up). This was a fresh install of fedora from the 19 DVD. I hadn't updated the OS before installing host on it.

libvirt and vdsm logs are attached -- both before yum update (not working) and after yum update (working)

--------------------------
versions before yum update
--------------------------

[root@ovirt-host-pegasus1-f19-4 vdsm]# yum list installed |grep virt
libgovirt.x86_64                       0.0.3-2.fc19                    @anaconda
libvirt-client.x86_64                  1.0.5.5-1.fc19                  @updates 
libvirt-daemon.x86_64                  1.0.5.5-1.fc19                  @updates 
libvirt-daemon-config-nwfilter.x86_64  1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-interface.x86_64 1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-network.x86_64   1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-nodedev.x86_64   1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-nwfilter.x86_64  1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-qemu.x86_64      1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-secret.x86_64    1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-storage.x86_64   1.0.5.5-1.fc19                  @updates 
libvirt-daemon-kvm.x86_64              1.0.5.5-1.fc19                  @updates 
libvirt-daemon-qemu.x86_64             1.0.5.5-1.fc19                  @updates 
libvirt-gconfig.x86_64                 0.1.6-1.fc19                    @anaconda
libvirt-glib.x86_64                    0.1.6-1.fc19                    @anaconda
libvirt-gobject.x86_64                 0.1.6-1.fc19                    @anaconda
libvirt-lock-sanlock.x86_64            1.0.5.5-1.fc19                  @updates 
libvirt-python.x86_64                  1.0.5.5-1.fc19                  @updates 
mom.noarch                             0.3.2-3.4.gitc60f454.fc19       @ovirt-nightly
ovirt-release-fedora.noarch            8-1                             @/ovirt-release-fedora.noarch
vdsm.x86_64                            4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
vdsm-cli.noarch                        4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
vdsm-python.x86_64                     4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
vdsm-python-cpopen.x86_64              4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
vdsm-xmlrpc.noarch                     4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
virt-what.x86_64                       1.12-3.fc19                     @fedora  


-----------------------------------
virsh -r capabilities before update
-----------------------------------


<capabilities>

  <host>
    <uuid>856422da-3572-40e1-96bf-04d004a85f3d</uuid>
    <cpu>
      <arch>x86_64</arch>
      <model>SandyBridge</model>
      <vendor>Intel</vendor>
      <topology sockets='2' cores='1' threads='1'/>
      <feature name='erms'/>
      <feature name='smep'/>
      <feature name='fsgsbase'/>
      <feature name='hypervisor'/>
      <feature name='rdrand'/>
      <feature name='f16c'/>
      <feature name='osxsave'/>
      <feature name='pcid'/>
      <feature name='vmx'/>
      <feature name='ss'/>
      <feature name='vme'/>
    </cpu>
    <power_management>
      <suspend_mem/>
      <suspend_disk/>
      <suspend_hybrid/>
    </power_management>
    <migration_features>
      <live/>
      <uri_transports>
        <uri_transport>tcp</uri_transport>
      </uri_transports>
    </migration_features>
    <topology>
      <cells num='1'>
        <cell id='0'>
          <memory unit='KiB'>4193904</memory>
          <cpus num='2'>
            <cpu id='0' socket_id='0' core_id='0' siblings='0'/>
            <cpu id='1' socket_id='1' core_id='0' siblings='1'/>
          </cpus>
        </cell>
      </cells>
    </topology>
    <secmodel>
      <model>selinux</model>
      <doi>0</doi>
    </secmodel>
    <secmodel>
      <model>dac</model>
      <doi>0</doi>
    </secmodel>
  </host>

</capabilities>


-----------------------------------
versions after yum update
-----------------------------------

[root@ovirt-host-pegasus1-f19-4 greg]# yum list installed |grep virt
libgovirt.x86_64                       0.1.0-1.fc19                    @updates 
libvirt-client.x86_64                  1.0.5.5-1.fc19                  @updates 
libvirt-daemon.x86_64                  1.0.5.5-1.fc19                  @updates 
libvirt-daemon-config-nwfilter.x86_64  1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-interface.x86_64 1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-network.x86_64   1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-nodedev.x86_64   1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-nwfilter.x86_64  1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-qemu.x86_64      1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-secret.x86_64    1.0.5.5-1.fc19                  @updates 
libvirt-daemon-driver-storage.x86_64   1.0.5.5-1.fc19                  @updates 
libvirt-daemon-kvm.x86_64              1.0.5.5-1.fc19                  @updates 
libvirt-daemon-qemu.x86_64             1.0.5.5-1.fc19                  @updates 
libvirt-gconfig.x86_64                 0.1.6-1.fc19                    @anaconda
libvirt-glib.x86_64                    0.1.6-1.fc19                    @anaconda
libvirt-gobject.x86_64                 0.1.6-1.fc19                    @anaconda
libvirt-lock-sanlock.x86_64            1.0.5.5-1.fc19                  @updates 
libvirt-python.x86_64                  1.0.5.5-1.fc19                  @updates 
mom.noarch                             0.3.2-3.4.gitc60f454.fc19       @ovirt-nightly
ovirt-release-fedora.noarch            8-1                             @/ovirt-release-fedora.noarch
vdsm.x86_64                            4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
vdsm-cli.noarch                        4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
vdsm-python.x86_64                     4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
vdsm-python-cpopen.x86_64              4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
vdsm-xmlrpc.noarch                     4.12.0-124.git5ca9a4e.fc19      @ovirt-nightly
virt-what.x86_64                       1.12-3.fc19                     @fedora  



-----------------------------------
virsh -r capabilities after update
-----------------------------------


<capabilities>

  <host>
    <uuid>856422da-3572-40e1-96bf-04d004a85f3d</uuid>
    <cpu>
      <arch>x86_64</arch>
      <model>SandyBridge</model>
      <vendor>Intel</vendor>
      <topology sockets='2' cores='1' threads='1'/>
      <feature name='erms'/>
      <feature name='smep'/>
      <feature name='fsgsbase'/>
      <feature name='hypervisor'/>
      <feature name='rdrand'/>
      <feature name='f16c'/>
      <feature name='osxsave'/>
      <feature name='pcid'/>
      <feature name='vmx'/>
      <feature name='ss'/>
      <feature name='vme'/>
    </cpu>
    <power_management>
      <suspend_mem/>
      <suspend_disk/>
      <suspend_hybrid/>
    </power_management>
    <migration_features>
      <live/>
      <uri_transports>
        <uri_transport>tcp</uri_transport>
      </uri_transports>
    </migration_features>
    <topology>
      <cells num='1'>
        <cell id='0'>
          <memory unit='KiB'>4193904</memory>
          <cpus num='2'>
            <cpu id='0' socket_id='0' core_id='0' siblings='0'/>
            <cpu id='1' socket_id='1' core_id='0' siblings='1'/>
          </cpus>
        </cell>
      </cells>
    </topology>
    <secmodel>
      <model>selinux</model>
      <doi>0</doi>
    </secmodel>
    <secmodel>
      <model>dac</model>
      <doi>0</doi>
    </secmodel>
  </host>

  <guest>
    <os_type>hvm</os_type>
    <arch name='alpha'>
      <wordsize>64</wordsize>
      <emulator>/usr/bin/qemu-system-alpha</emulator>
      <machine>clipper</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='armv7l'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-arm</emulator>
      <machine>integratorcp</machine>
      <machine>z2</machine>
      <machine>xilinx-zynq-a9</machine>
      <machine>vexpress-a15</machine>
      <machine>vexpress-a9</machine>
      <machine>versatileab</machine>
      <machine>versatilepb</machine>
      <machine>tosa</machine>
      <machine>lm3s6965evb</machine>
      <machine>lm3s811evb</machine>
      <machine>terrier</machine>
      <machine>borzoi</machine>
      <machine>spitz</machine>
      <machine>akita</machine>
      <machine>realview-pbx-a9</machine>
      <machine>realview-pb-a8</machine>
      <machine>realview-eb-mpcore</machine>
      <machine>realview-eb</machine>
      <machine>cheetah</machine>
      <machine>sx1-v1</machine>
      <machine>sx1</machine>
      <machine>n810</machine>
      <machine>n800</machine>
      <machine>musicpal</machine>
      <machine>mainstone</machine>
      <machine>kzm</machine>
      <machine>highbank</machine>
      <machine>verdex</machine>
      <machine>connex</machine>
      <machine>smdkc210</machine>
      <machine>nuri</machine>
      <machine>collie</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='cris'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-cris</emulator>
      <machine>axis-dev88</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='i686'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-i386</emulator>
      <machine canonical='pc-i440fx-1.4'>pc</machine>
      <machine canonical='pc-q35-1.4'>q35</machine>
      <machine>isapc</machine>
      <machine>pc-0.10</machine>
      <machine>pc-0.11</machine>
      <machine>pc-0.12</machine>
      <machine>pc-0.13</machine>
      <machine>pc-0.14</machine>
      <machine>pc-0.15</machine>
      <machine>pc-1.0</machine>
      <machine>pc-1.1</machine>
      <machine>pc-1.2</machine>
      <machine>pc-1.3</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
      <domain type='kvm'>
        <emulator>/usr/bin/qemu-kvm</emulator>
        <machine canonical='pc-i440fx-1.4'>pc</machine>
        <machine canonical='pc-q35-1.4'>q35</machine>
        <machine>isapc</machine>
        <machine>pc-0.10</machine>
        <machine>pc-0.11</machine>
        <machine>pc-0.12</machine>
        <machine>pc-0.13</machine>
        <machine>pc-0.14</machine>
        <machine>pc-0.15</machine>
        <machine>pc-1.0</machine>
        <machine>pc-1.1</machine>
        <machine>pc-1.2</machine>
        <machine>pc-1.3</machine>
        <machine>none</machine>
      </domain>
    </arch>
    <features>
      <cpuselection/>
      <deviceboot/>
      <acpi default='on' toggle='yes'/>
      <apic default='on' toggle='no'/>
      <pae/>
      <nonpae/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='lm32'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-lm32</emulator>
      <machine>lm32-evr</machine>
      <machine>milkymist</machine>
      <machine>lm32-uclinux</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='m68k'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-m68k</emulator>
      <machine>mcf5208evb</machine>
      <machine>dummy</machine>
      <machine>an5206</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='microblaze'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-microblaze</emulator>
      <machine>petalogix-s3adsp1800</machine>
      <machine>petalogix-ml605</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='microblazeel'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-microblazeel</emulator>
      <machine>petalogix-s3adsp1800</machine>
      <machine>petalogix-ml605</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='mips'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-mips</emulator>
      <machine>malta</machine>
      <machine>mips</machine>
      <machine>mipssim</machine>
      <machine>pica61</machine>
      <machine>magnum</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='mipsel'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-mipsel</emulator>
      <machine>malta</machine>
      <machine>mips</machine>
      <machine>mipssim</machine>
      <machine>pica61</machine>
      <machine>magnum</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='mips64'>
      <wordsize>64</wordsize>
      <emulator>/usr/bin/qemu-system-mips64</emulator>
      <machine>malta</machine>
      <machine>mips</machine>
      <machine>mipssim</machine>
      <machine>pica61</machine>
      <machine>magnum</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='mips64el'>
      <wordsize>64</wordsize>
      <emulator>/usr/bin/qemu-system-mips64el</emulator>
      <machine>malta</machine>
      <machine>mips</machine>
      <machine>mipssim</machine>
      <machine>pica61</machine>
      <machine>magnum</machine>
      <machine>fulong2e</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='ppc'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-ppc</emulator>
      <machine>g3beige</machine>
      <machine>prep</machine>
      <machine>mpc8544ds</machine>
      <machine>mac99</machine>
      <machine>ppce500</machine>
      <machine>virtex-ml507</machine>
      <machine>bamboo</machine>
      <machine>taihu</machine>
      <machine>ref405ep</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <cpuselection/>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='ppc64'>
      <wordsize>64</wordsize>
      <emulator>/usr/bin/qemu-system-ppc64</emulator>
      <machine>mac99</machine>
      <machine>prep</machine>
      <machine>mpc8544ds</machine>
      <machine>g3beige</machine>
      <machine>ppce500</machine>
      <machine>virtex-ml507</machine>
      <machine>pseries</machine>
      <machine>bamboo</machine>
      <machine>taihu</machine>
      <machine>ref405ep</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <cpuselection/>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='ppcemb'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-ppcemb</emulator>
      <machine>g3beige</machine>
      <machine>prep</machine>
      <machine>mpc8544ds</machine>
      <machine>mac99</machine>
      <machine>ppce500</machine>
      <machine>virtex-ml507</machine>
      <machine>bamboo</machine>
      <machine>taihu</machine>
      <machine>ref405ep</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <cpuselection/>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='s390x'>
      <wordsize>64</wordsize>
      <emulator>/usr/bin/qemu-system-s390x</emulator>
      <machine canonical='s390-virtio'>s390</machine>
      <machine canonical='s390-ccw-virtio'>s390-ccw</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <cpuselection/>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='sh4'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-sh4</emulator>
      <machine>shix</machine>
      <machine>r2d</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='sh4eb'>
      <wordsize>64</wordsize>
      <emulator>/usr/bin/qemu-system-sh4eb</emulator>
      <machine>shix</machine>
      <machine>r2d</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='sparc'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-sparc</emulator>
      <machine>SS-5</machine>
      <machine>SS-2</machine>
      <machine>SS-2000</machine>
      <machine>SS-1000</machine>
      <machine>SPARCbook</machine>
      <machine>SPARCClassic</machine>
      <machine>SS-4</machine>
      <machine>LX</machine>
      <machine>Voyager</machine>
      <machine>SS-20</machine>
      <machine>SS-600MP</machine>
      <machine>SS-10</machine>
      <machine>leon3_generic</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='sparc64'>
      <wordsize>64</wordsize>
      <emulator>/usr/bin/qemu-system-sparc64</emulator>
      <machine>sun4u</machine>
      <machine>Niagara</machine>
      <machine>sun4v</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <deviceboot/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='unicore32'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-unicore32</emulator>
      <machine>puv3</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='x86_64'>
      <wordsize>64</wordsize>
      <emulator>/usr/bin/qemu-system-x86_64</emulator>
      <machine canonical='pc-i440fx-1.4'>pc</machine>
      <machine canonical='pc-q35-1.4'>q35</machine>
      <machine>isapc</machine>
      <machine>pc-0.10</machine>
      <machine>pc-0.11</machine>
      <machine>pc-0.12</machine>
      <machine>pc-0.13</machine>
      <machine>pc-0.14</machine>
      <machine>pc-0.15</machine>
      <machine>pc-1.0</machine>
      <machine>pc-1.1</machine>
      <machine>pc-1.2</machine>
      <machine>pc-1.3</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
      <domain type='kvm'>
        <emulator>/usr/bin/qemu-kvm</emulator>
        <machine canonical='pc-i440fx-1.4'>pc</machine>
        <machine canonical='pc-q35-1.4'>q35</machine>
        <machine>isapc</machine>
        <machine>pc-0.10</machine>
        <machine>pc-0.11</machine>
        <machine>pc-0.12</machine>
        <machine>pc-0.13</machine>
        <machine>pc-0.14</machine>
        <machine>pc-0.15</machine>
        <machine>pc-1.0</machine>
        <machine>pc-1.1</machine>
        <machine>pc-1.2</machine>
        <machine>pc-1.3</machine>
        <machine>none</machine>
      </domain>
    </arch>
    <features>
      <cpuselection/>
      <deviceboot/>
      <acpi default='on' toggle='yes'/>
      <apic default='on' toggle='no'/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='xtensa'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-xtensa</emulator>
      <machine>sim</machine>
      <machine>lx200</machine>
      <machine>lx60</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='xtensaeb'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-xtensaeb</emulator>
      <machine>sim</machine>
      <machine>lx200</machine>
      <machine>lx60</machine>
      <machine>none</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

</capabilities>

-------------------------------------------------
vdsClient -s 0 getVdsCaps | grep emulatedMachines
after yum update
-------------------------------------------------

        emulatedMachines = ['pc',
                            'q35',
                            'isapc',
                            'pc-0.10',
                            'pc-0.11',
                            'pc-0.12',
                            'pc-0.13',
                            'pc-0.14',
                            'pc-0.15',
                            'pc-1.0',
                            'pc-1.1',
                            'pc-1.2',
                            'pc-1.3',
                            'none']
Comment 6 Greg Sheremeta 2013-09-16 10:15:57 EDT
Created attachment 798296 [details]
libvirt.log before yum update (not working)
Comment 7 Greg Sheremeta 2013-09-16 10:16:25 EDT
Created attachment 798297 [details]
vdsm.log before yum update (not working)
Comment 8 Greg Sheremeta 2013-09-16 10:17:15 EDT
Created attachment 798298 [details]
libvirt.log after yum update (working)
Comment 9 Greg Sheremeta 2013-09-16 10:17:42 EDT
Created attachment 798299 [details]
vdsm.log after yum update (working)
Comment 10 Dan Kenigsberg 2013-09-16 11:15:45 EDT
libvirt was not updated by yum. Was qemu-kvm?
Either way, the huge difference in the output of `virsh capabilities` explains the lack of emulatedMachines and makes this a non-interesting vdsm bug...
Comment 11 Greg Sheremeta 2013-09-16 17:03:35 EDT
Qemu-kvm gets updated. I tried to rule it out -- I tried to update it manually on a fresh host, and even having the newer qemu-kvm didn't fix the install. So it's something else in my yum update. (It's huge -- posting the entire thing for you. Attached.)

The moral of the story for me is to yum update my new VMs before installing host software on them. Is that generally recommended? I don't think I've ever seen it recommended in the docs I've encountered.

-----------------------------------
Fresh OS,  before updating qemu-kvm
-----------------------------------

[greg@ovirt-host-pegasus1-f19-5 ~]$ yum list installed qemu*
Loaded plugins: langpacks, refresh-packagekit
Installed Packages
qemu-common.x86_64                                                2:1.4.2-3.fc19                                           @anaconda
qemu-guest-agent.x86_64                                           2:1.4.2-3.fc19                                           @anaconda
qemu-img.x86_64                                                   2:1.4.2-3.fc19                                           @anaconda
qemu-kvm.x86_64                                                   2:1.4.2-3.fc19                                           @anaconda
qemu-system-x86.x86_64                                            2:1.4.2-3.fc19                                           @anaconda

-----------------------------------
after updating qemu-kvm
-----------------------------------

[root@ovirt-host-pegasus1-f19-5 greg]# yum list installed qemu*
Loaded plugins: langpacks, refresh-packagekit
Installed Packages
qemu-common.x86_64                                                2:1.4.2-9.fc19                                            @updates
qemu-guest-agent.x86_64                                           2:1.4.2-9.fc19                                            @updates
qemu-img.x86_64                                                   2:1.4.2-9.fc19                                            @updates
qemu-kvm.x86_64                                                   2:1.4.2-9.fc19                                            @updates
qemu-system-x86.x86_64                                            2:1.4.2-9.fc19                                            @updates

-----------------------------------
after host installation
-----------------------------------

[root@ovirt-host-pegasus1-f19-5 greg]# yum list installed libvirt* qemu*
Loaded plugins: langpacks, refresh-packagekit
Installed Packages
libvirt-client.x86_64                                                    1.0.5.5-1.fc19                                    @updates 
libvirt-daemon.x86_64                                                    1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-config-nwfilter.x86_64                                    1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-driver-interface.x86_64                                   1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-driver-network.x86_64                                     1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-driver-nodedev.x86_64                                     1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-driver-nwfilter.x86_64                                    1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-driver-qemu.x86_64                                        1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-driver-secret.x86_64                                      1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-driver-storage.x86_64                                     1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-kvm.x86_64                                                1.0.5.5-1.fc19                                    @updates 
libvirt-daemon-qemu.x86_64                                               1.0.5.5-1.fc19                                    @updates 
libvirt-gconfig.x86_64                                                   0.1.6-1.fc19                                      @anaconda
libvirt-glib.x86_64                                                      0.1.6-1.fc19                                      @anaconda
libvirt-gobject.x86_64                                                   0.1.6-1.fc19                                      @anaconda
libvirt-lock-sanlock.x86_64                                              1.0.5.5-1.fc19                                    @updates 
libvirt-python.x86_64                                                    1.0.5.5-1.fc19                                    @updates 
qemu.x86_64                                                              2:1.4.2-9.fc19                                    @updates 
qemu-common.x86_64                                                       2:1.4.2-9.fc19                                    @updates 
qemu-guest-agent.x86_64                                                  2:1.4.2-9.fc19                                    @updates 
qemu-img.x86_64                                                          2:1.4.2-9.fc19                                    @updates 
qemu-kvm.x86_64                                                          2:1.4.2-9.fc19                                    @updates 
qemu-kvm-tools.x86_64                                                    2:1.4.2-9.fc19                                    @updates 
qemu-system-alpha.x86_64                                                 2:1.4.2-9.fc19                                    @updates 
qemu-system-arm.x86_64                                                   2:1.4.2-9.fc19                                    @updates 
qemu-system-cris.x86_64                                                  2:1.4.2-9.fc19                                    @updates 
qemu-system-lm32.x86_64                                                  2:1.4.2-9.fc19                                    @updates 
qemu-system-m68k.x86_64                                                  2:1.4.2-9.fc19                                    @updates 
qemu-system-microblaze.x86_64                                            2:1.4.2-9.fc19                                    @updates 
qemu-system-mips.x86_64                                                  2:1.4.2-9.fc19                                    @updates 
qemu-system-or32.x86_64                                                  2:1.4.2-9.fc19                                    @updates 
qemu-system-ppc.x86_64                                                   2:1.4.2-9.fc19                                    @updates 
qemu-system-s390x.x86_64                                                 2:1.4.2-9.fc19                                    @updates 
qemu-system-sh4.x86_64                                                   2:1.4.2-9.fc19                                    @updates 
qemu-system-sparc.x86_64                                                 2:1.4.2-9.fc19                                    @updates 
qemu-system-unicore32.x86_64                                             2:1.4.2-9.fc19                                    @updates 
qemu-system-x86.x86_64                                                   2:1.4.2-9.fc19                                    @updates 
qemu-system-xtensa.x86_64                                                2:1.4.2-9.fc19                                    @updates 
qemu-user.x86_64                                                         2:1.4.2-9.fc19                                    @updates 
[root@ovirt-host-pegasus1-f19-5 greg]#
Comment 12 Greg Sheremeta 2013-09-16 17:04:01 EDT
Created attachment 798424 [details]
yum update log
Comment 13 Dan Kenigsberg 2013-09-21 20:35:29 EDT
oVirt should cope with installing all its dependencies during the "Add Host" sequence. However, for debugging, robustness, and understanding the modes of failure, I personally `yum install vdsm` before "Add Host" begins.

Until recently, "Add Host" included a reboot of the added host. This was dropped in oVirt-3.3 and may have triggered this bug. I would like to understand why only a reboot exposes guest capabilities, but I'm running out of ideas. Maybe Michal has a few?

Would a libvirtd restart help, to exposes guest capabilities?
Comment 14 Greg Sheremeta 2013-09-22 07:36:00 EDT
Just to clarify, a reboot did *not* help expose guest capabilities for me. I had to run yum update. And it didn't appear that updating qemu or libvirt components helped. It was something else.

To duplicate this yourself, simply install a host using the Fedora 19 DVD -- not the Live CD. http://download.fedoraproject.org/pub/fedora/linux/releases/19/Fedora/x86_64/iso/Fedora-19-x86_64-DVD.iso

I wonder if yum install vdsm after installing from DVD would still have the problem.
Comment 15 Itamar Heim 2013-09-23 06:00:30 EDT
it seems like a bug in fedora, fixed in a later fedora release.
i suggest just sending a patch to vdsm to require on fedora at least the version currently working for you for libvirt and qemu-kvm?
Comment 16 Michal Skrivanek 2013-09-23 07:19:56 EDT
Greg, how did you get the old qemu, was it the original Fedora DVD?
I'm not sure how interesting is to even add a dependency...if you install Minimal you'd get it in updates

OTOH we could do "yum update"...
Comment 17 Greg Sheremeta 2013-09-23 12:13:51 EDT
I just installed straight from http://download.fedoraproject.org/pub/fedora/linux/releases/19/Fedora/x86_64/iso/Fedora-19-x86_64-DVD.iso
and didn't run yum update before installing the host.

So I guess the old qemu is what comes on that DVD.
Comment 18 Michal Skrivanek 2013-12-06 10:52:07 EST
hopefully not an issue anymore with F20 behind the doors...

Note You need to log in before you can comment on or make changes to this bug.